%global pypi_name ruamel.yaml
%global pname ruamel-yaml
%global commit 44504659794e
%global debug_package %{nil}

Name:           python-%{pname}
Version:        0.17.21
Release:        %mkrel 3
Summary:        YAML 1.2 loader/dumper package for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ruamel.yaml
Source0:        %{pypi_source} 

%description
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11

%package -n     python3-%{pname}
Summary:        YAML 1.2 loader/dumper package for Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python3-ruamel-yaml-clib
Requires:       python3-setuptools
Obsoletes:      python3-%{pypi_name}
Provides:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pname}
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root $RPM_BUILD_ROOT

%files -n python%{python3_pkgversion}-%{pname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/ruamel
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}*.pth
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Oct 04 2022 joequant <joequant> 0.17.21-3.mga9
+ Revision: 1894571
- fix requires

* Mon Oct 03 2022 joequant <joequant> 0.17.21-2.mga9
+ Revision: 1894181
- point to new rpm yaml.clib

* Sun Oct 02 2022 neoclust <neoclust> 0.17.21-1.mga9
+ Revision: 1894149
- New version 0.17.21

* Fri Mar 18 2022 umeabot <umeabot> 0.16.10-5.mga9
+ Revision: 1798995
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 0.16.10-4.mga9
+ Revision: 1773792
- Fix filelist for python-3.10
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.16.10-3.mga9
+ Revision: 1703688
- rebuild for python 3.9

* Tue Aug 25 2020 tv <tv> 0.16.10-2.mga8
+ Revision: 1618956
- fix broken deps for fonts-rpm-macros

* Mon Aug 24 2020 guillomovitch <guillomovitch> 0.16.10-1.mga8
+ Revision: 1618645
- spec cleanup
- new version 0.16.10
- obsoletes python-ruaml.yaml (duplicate)

* Thu Jun 04 2020 joequant <joequant> 0.16.6-1.mga8
+ Revision: 1590225
- imported package python-ruamel-yaml

